#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x96,0x35,0xED,0x14,0xBF,0x9A,0xF4,0x99,0xDF,0x4D,0xB9,0xD9,
		0x1F,0x9E,0xE7,0xEB,0x1D,0xB7,0x2F,0xFD,0x81,0x23,0xFF,0x62,
		0x6E,0x24,0xD6,0x83,0x54,0x9A,0xE3,0xCC,0xFB,0x39,0x67,0xEE,
		0xAD,0x30,0x1E,0x37,0x68,0x6D,0x3F,0xA7,0x2D,0x95,0x39,0xE0,
		0xD6,0x89,0xFF,0xBB,0xE5,0x65,0x81,0x91,0xE1,0x16,0xB8,0xB8,
		0xF4,0xA6,0x41,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
